Get Products
const url = 'https://api-admin.billz.ai/v2/products?page=1&limit=5&search=Nike&include_empty_stocks=false';const options = { method: 'GET', headers: { 'platform-id': '7d4a4c38-dd84-4902-b744-0488b80a4c01', Authorization: 'Bearer <token>' }};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api-admin.billz.ai/v2/products?page=1&limit=5&search=Nike&include_empty_stocks=false' \ --header 'Authorization: Bearer <token>' \ --header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'Xato kodlari: 400 — kiruvchi ma’lumotlar validatsiya xatosi; 404 — obyekt topilmadi; 401, 403, 429, 500 — barcha metodlar uchun umumiy. Tana formatlari va semantikasi: Javob kodlari va xatolar.
Authorizations
“Authorizations” bo'limiParameters
“Parameters” bo'limiQuery Parameters
“Query Parameters” bo'limiSahifa raqami; raqam bo’lmagan qiymat — 400
Bir sahifadagi soni. Raqam bo’lmagan qiymat -> 400
Example
5Qidiruv satri. Uzunligi cheklangan; takrorlanuvchi patternlar rad etiladi
Example
NikeQidiruv maydonlari: name, sku, barcode, description, category, brand yoki custom_field_id. Vergul bilan ajratilgan satr sifatida uzatiladi
Format yyyy-mm-dd hh:mm:ss, UTC. Noto’g’ri format — 400
true satri
Header Parameters
“Header Parameters” bo'limiPlatforma identifikatori. Integratsiyalar uchun statik qiymat ishlatiladi.
Responses
“Responses” bo'limiMuvaffaqiyatli javob
object
Mahsulotlar soni
Tovarlar ro’yxati
object
Mahsulot id si
Ota id si (variatsiyalar uchun)
Mahsulot kategoriyalari
object
Brend id si
Brend nomi
Mahsulot variatsiyalimi
Nomi
Artikul
Asosiy fotosurat
Shtrix-kod
Tavsif
Oxirgi yangilanish sanasi
O’lchov birligi
object
Mahsulot turi id si
Savdo nuqtalari bo’yicha qoldiqlar
object
Savdo nuqtalari bo’yicha narxlar
object
Aksiyalar
object
Variatsiya atributlari
object
Maxsus xususiyatlar
object
Fotosuratlar
object
Kelish narxi
Xarid valyutasi
Yetkazib beruvchilar
object
Yetkazib beruvchilar bo’yicha qoldiqlar
object
Examplegenerated
{ "count": 1, "products": [ { "id": "example", "parent_id": "example", "categories": [ { "id": "example", "name": "example", "parent_id": "example" } ], "brand_id": "example", "brand_name": "example", "is_variative": true, "name": "example", "sku": "example", "main_image_url": "example", "main_image_url_full": "example", "barcode": "example", "description": "example", "updated_at": "example", "measurement_unit": { "id": "example", "name": "example", "short_name": "example" }, "product_type_id": "example", "shop_measurement_values": [ { "shop_id": "example", "shop_name": "example", "active_measurement_value": 1 } ], "shop_prices": [ { "shop_id": "example", "shop_name": "example", "retail_price": 1, "retail_currency": "example", "supply_price": 1, "supply_currency": "example", "promo_price": 1, "promos": [ { "id": "example", "external_id": "example", "name": "example", "discount_value": 1, "discount_type": "example", "shop_ids": [ "example" ] } ] } ], "product_attributes": [ { "attribute_id": "example", "attribute_value_id": "example", "attribute_value": "example", "attribute_name": "example" } ], "custom_fields": [ { "custom_field_name": "example", "custom_field_system_name": "example", "custom_field_id": "example", "custom_field_value": "example", "from_parent": true } ], "is_marked": true, "photos": [ { "photo_url": "example", "sequence": 1, "is_main": true } ], "supply_price": 1, "supply_currency": "example", "suppliers": [ { "id": "example", "company_id": "example", "name": "example", "session_id": "example", "deleted_at": 1 } ], "product_supplier_stock": [ { "supplier_id": "example", "supplier_name": "example", "shop_id": "example", "measurement_value": 1, "min_supply_price": 1, "max_supply_price": 1, "retail_price": 1, "wholesale_price": 1 } ] } ]}